package xyz.veronie.bgg.ui.contributions;

import java.util.HashMap;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;

public class ThingFilterGroup {
	private HashMap<Subtype, Button> buttons;
	
	public void create(Composite parent) {
		Group gSubtype = new Group(parent, SWT.LEFT);
		gSubtype.setText("Subtypes");
		gSubtype.setLayoutData(new GridData(SWT.RIGHT, SWT.FILL, false, false));
		gSubtype.setLayout(new GridLayout(1, false));
	
		buttons = new HashMap<Subtype, Button>();
		
		for (Subtype st : Subtype.values()) { 
			Button bb = new Button(gSubtype, SWT.CHECK);
			bb.setText(st.toString());
			if(st == Subtype.BOARDGAME) {
				// initially, only boardgame is checked
				bb.setEnabled(true);
			} else {
				bb.setEnabled(false);
			}
			bb.setLayoutData(new GridData(SWT.FILL, SWT.FILL, false, false));
			buttons.put(st, bb);
		}
	}
	
}
